### Hierarchy

- UISchemaElement
- Scopable
  - TreeWithDetail

## Index

### Properties

- label
- options
- rule
- scope
- type

## Properties

### Optional label

label: string | boolean | LabelDescription

- Defined in TreeWithDetail.ts:12

An optional label that will be associated with the control

### Optional options

options: any

Inherited from UISchemaElement.options

Any additional options.

### Optional rule

rule: Rule

Inherited from UISchemaElement.rule

An optional rule.

### scope

scope: string

Inherited from Scopable.scope

The scope that determines to which part this element should be bound to.

### type

type: "TreeWithDetail"

Overrides UISchemaElement.type

- Defined in TreeWithDetail.ts:8

Generated using TypeDoc